package com.cooleshow.base.common;

import com.cooleshow.base.BuildConfig;

/**
 * Author by pq, Date on 2022/4/26.
 */
public abstract class WebConstants {
    public static final String WEB_UA_PARAMS = ";COLEXIUAPPA";
    public static final String WEB_UA_PARAMS_STUDENT = ";COLEXIUSTUDENT";
    public static final String WEB_UA_PARAMS_TEACHER = ";COLEXIUTEACHER";
    public static final String WEB_JS_INTERFACE = "COLEXIU";
    public static final String WEB_URL = "web_url";//
    public static final String WEB_SOCKET_URL_TEST = "wss://dev.colexiu.com/audioAnalysis";
    public static final String WEB_SOCKET_URL_RELEASE = "wss://online.colexiu.com/audioAnalysis";


    public static String getWebSocketUrl() {
        if (BuildConfig.DEBUG) {
            return WEB_SOCKET_URL_TEST;
        } else {
            return WEB_SOCKET_URL_RELEASE;
        }
    }

    private static String getTeacherBaseUrlH5() {
        return BuildConfig.BASE_URL_H5;
    }

    private static String getStudentBaseUrlH5() {
        return BuildConfig.BASE_URL_H5_STUDENT;
    }

    private static String getBaseUrlH5() {
        return BaseApplication.Companion.isTeacherClient() ? getTeacherBaseUrlH5() : getStudentBaseUrlH5();
    }

    //直播课列表
    public static final String STUDENT_LIVE_CLASS = getBaseUrlH5() + "/#/liveClass";
    //视频课列表
    public static final String STUDENT_VIDEO_CLASS = getBaseUrlH5() + "/#/videoClass";
    //陪练课列表
    public static final String STUDENT_PRACTICE_CLASS = getBaseUrlH5() + "/#/practiceClass";
    //评测记录
    public static final String STUDENT_MEMBER_RECORD = getBaseUrlH5() + "/#/memberRecord";
    //会员中心
    public static final String STUDENT_MEMBER_CENTER = getBaseUrlH5() + "/#/memberCenter";
    public static final String TEACHER_MEMBER_CENTER = getBaseUrlH5() + "/#/memberCenter";
    //老师主页
    public static final String STUDENT_TEACHER_HOME = getBaseUrlH5() + "/#/teacherHome?teacherId=";
    //老师风采
    public static final String STUDENT_TEACHER_ELEGANT = getBaseUrlH5() + "/#/teacherElegant";
    //交易记录
    public static final String STUDENT_TRAD_RECORD = getBaseUrlH5() + "/#/tradeRecord";
    //我的关注
    public static final String STUDENT_TEACHER_FOLLOW = getBaseUrlH5() + "/#/teacherFollow";
    //我的乐谱
    public static final String STUDENT_MUSIC_PERSONAL = getBaseUrlH5() + "/#/music-personal";
    //资讯详情
    public static final String STUDENT_SPECIAL_DETAIL = getBaseUrlH5() + "/#/specialDetail?id=";
    //精彩资讯
    public static final String STUDENT_SPECIAL = getBaseUrlH5() + "/#/special";
    //热门专辑
    public static final String STUDENT_MUSIC_ALBUM = getBaseUrlH5() + "/#/music-album";
    //专辑详情
    public static final String STUDENT_MUSIC_ALBUM_DETAIL = getBaseUrlH5() + "/#/music-album-detail/";
    //学生端直播间购物车
    public static final String STUDENT_LIVE_SHOP_CAR_URL = getBaseUrlH5() + "/#/liveActiveList";


    //注册协议
    public static final String REGISTRATION_AGREEMENT = getBaseUrlH5() + "/#/registerProtocol";
    //隐私协议
    public static final String PRIVACY_AGREEMENT = getBaseUrlH5() + "/#/privacyProtocol";

    //达人认证
    public static final String TEACHER_CERT = getBaseUrlH5() + "/#/teacherCert";
    //老师收入
    public static final String TEACHER_INCOME = getBaseUrlH5() + "/#/incomeConsus";
    //音乐人认证
    public static final String TEACHER_MUSIC_PERSON_CERT = getBaseUrlH5() + "/#/musicCert";
    //上传乐谱
    public static final String TEACHER_UPLOAD_SHEET_MUSIC = getBaseUrlH5() + "/#/music-upload";
    //开启直播
    public static final String TEACHER_OPEN_LIVE = getBaseUrlH5() + "/#/openLive";
    //帮助中心
    public static final String HELP_CENTER = getBaseUrlH5() + "/#/helpCenter";
    //视频课创建
    public static final String TEACHER_VIDEO_CREATE = getBaseUrlH5() + "/#/videoCreate";

    public static final String TEACHER_VIDEO_EDIT = getBaseUrlH5() + "/#/videoCreate?groupId=%s";
    //视频课详情
    public static final String TEACHER_VIDEO_DETAIL = getBaseUrlH5() + "/#/videoDetail";
    //修改视频课
    public static final String TEACHER_VIDEO_MODIFY = getBaseUrlH5() + "/#/videoCreate?groupId=4";
    //创建直播课
    public static final String TEACHER_LIVE_CREATE = getBaseUrlH5() + "/#/liveCreate";
    //直播课详情
    public static final String TEACHER_LIVE_DETAIL = getBaseUrlH5() + "/#/liveDetail";

    public static final String TEACHER_LIVE_DETAIL_NORMAL_COURSE = getBaseUrlH5() + "/#/liveDetail?groupId=%s&classId=%s&joinRoom=1";
    //陪练课设置
    public static final String TEACHER_PRACTICE_SETTING = getBaseUrlH5() + "/#/practiceSetting";
    //我的粉
    public static final String TEACHER_MY_FANS = getBaseUrlH5() + "/#/myFans";
    //商城
    public static final String TEACHER_SHOPMALL = getBaseUrlH5() + "/#/shopMall";
    //单个公告点击
    public static final String HELP_CENTER_DETAIL = getBaseUrlH5() + "/#/helpCenterDetail?id=";
    //公告列表
    public static final String HELP_CENTER_CATALOGTYPE_2 = getBaseUrlH5() + "/#/helpCenter?catalogType=2";

    //乐谱分享的详情
    public static final String SCORE_DETAIL_LINK = BuildConfig.BASE_SERVER_URL + "/accompany/";

    //云库琴房
    public static final String PIANO_ROOM = getBaseUrlH5() + "#/pianoRoom";

    //商品订单
    public static final String MALL_GOODS_ORDER = getBaseUrlH5() + "/#/goodsOrder";

    //曲谱审核失败 - 重新编辑页面
    public static final String EDIT_SCORE_PAGE = getBaseUrlH5() + "/#/music-upload/%s/edit";
    //曲谱审核成功
    public static final String SCORE_DETAIL_PAGE = BuildConfig.BASE_SERVER_URL + "accompany?id=%s&client=teacher";
    //老师端提现签署协议页面
    public static final String PROTOCOL_SIGN_BY_TEACHER_WIYHDRAW = getBaseUrlH5() + "/#/cashProtocol";


}
